import { system, world } from "@minecraft/server";
import "./calendarComponent";
import { globalDayInfo, idToDayInfo } from "./calendarUpdate";
system.runInterval(() => world.getAllPlayers().forEach(player => {
    const calendar = player.getBlockFromViewDirection({ includeTags: ["calendars:calendar"], maxDistance: 3, includePassableBlocks: true, includeLiquidBlocks: false });
    if (!calendar || calendar.face.toLowerCase() != calendar.block.permutation.getState("minecraft:cardinal_direction"))
        return;
    player.onScreenDisplay.setActionBar(idToDayInfo.get(player.id) || globalDayInfo);
}));
